Bug 196723 - [UPDATE] sysutils/duply update to 1.9.1
Summary: [UPDATE] sysutils/duply update to 1.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-14 13:39 UTC by Sascha Holzleiter
Modified: 2015-04-30 09:01 UTC (History)
3 users (show)

See Also:
michael: maintainer-feedback+


Attachments
tree diff (1.36 KB, patch)
2015-01-14 13:39 UTC, Sascha Holzleiter
no flags Details | Diff
New diff (2.23 KB, patch)
2015-01-14 14:07 UTC, Sascha Holzleiter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Holzleiter 2015-01-14 13:39:33 UTC
Created attachment 151620 [details]
tree diff

This updates duply to the current 1.9.1 version.

I also introduced a Python dependency as the duply script sometimes calls python and our python framework seems to have symlinks to python2 or python3 but no /usr/local/bin/python. So to correctly replace these occurrences i added USES=python as to have access to ${PYTHON_CMD}. If there is a better way to do this please do so as adding a dependency just for the replacement seems overkill to me...
Comment 1 Bugzilla Automation freebsd_committer 2015-01-14 13:39:33 UTC
Maintainer CC'd
Comment 2 Sascha Holzleiter 2015-01-14 14:07:52 UTC
Created attachment 151621 [details]
New diff
Comment 3 Sascha Holzleiter 2015-01-14 14:08:13 UTC
Added a newer patch which also modifies the periodic script so one can have multiple profiles within the periodic job
Comment 4 jurgenxiv 2015-03-15 15:57:39 UTC
Is there anything I can do to help committing this new version 1.9.1?
Comment 5 michael 2015-03-15 18:05:45 UTC
Please commit
Comment 6 jurgenxiv 2015-04-22 18:52:21 UTC
So...how can this be commited? What has do be done?
Comment 7 Sascha Holzleiter 2015-04-23 10:00:15 UTC
I think the maintainer has to set the maintainer-feedback flag on the bugzilla page to "+" to indicate that the patch is approved. That's what i gathered from several mailing lists I actually found no documentation on this part...
Comment 8 commit-hook freebsd_committer 2015-04-30 08:59:00 UTC
A commit references this bug:

Author: wen
Date: Thu Apr 30 08:58:58 UTC 2015
New revision: 385027
URL: https://svnweb.freebsd.org/changeset/ports/385027

Log:
  - Update to 1.9.1

  PR:		196723
  Submitted by:	sascha@root-login.org
  Approved by:	michael@ranner.eu(maintainer)

Changes:
  head/sysutils/duply/Makefile
  head/sysutils/duply/distinfo
  head/sysutils/duply/files/periodic_duply.in